#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'doc.penawran_peserta'}
#{/set}

<ol class="breadcrumb" style="background-color: #d9534f !important;">
    <li><a href="@{BerandaCtr.nonLelang()}" >&{'doc.home'}</a></li>
    <li class="active"><a href="@{nonlelang.PengadaanLCtr.view(pl?.lls_id)}">&{'doc.info_paket'}</a></li>
    <li class="active">&{'doc.penawaran_teknis'}</li>
</ol>

#{tabmenuPenawaranPL pl.lls_id/}

<div class="content">
#{alert /}
        <div class="bs-callout bs-callout-info">
            &{'doc.allowed'}
        </div>
        #{list items:checklistPlList, as:'checklist'}

            <div class="card card-default">
                <div class="card-header"><strong>${checklist.ckm_id != 36 ? checklist.getChecklist_master().ckm_nama : checklist.chk_nama}</strong></div>
                <div class="card-body">
                    <div id="alert-upload-${checklist.chk_id}" style="width: auto;"></div>
                        <ul id="files-${checklist.chk_id}" class="list-group files" style="width: 500px;">
                          #{list items:checklist.getListDokPenawaranPlByPsrAndJenis(pesertaPl.psr_id,dokJenis), as:'penawaran'}
                              <li class="list-group-item">
                                  <a href="${penawaran?.blob?.getDownloadUrl()}"><i class="fa fa-download"></i> &nbsp; ${penawaran?.blob?.blb_nama_file}</a> <abbr title="Tanggal Kirim" class="initialism">
                                      (${penawaran?.blob?.blb_date_time?.formatDateTime()})</abbr>

                                  <a href="javascript:void(0)" id="${penawaran?.dok_id}" style="float: right;"
                                     class="btn btn-danger btn-sm" name="removeBtn" chk="${checklist.chk_id}">
                                      <i class="fa fa-close"></i>
                                  </a>

                              </li>
                          #{/list}
                        </ul>
                    <div class="btn btn-success fileinput-button">
                        <i class="fa fa-plus-circle"></i>
                        <span>Upload</span>
                        <input id="upload-${checklist.chk_id}" type="file" name="file"
                         onclick="upload('${checklist.chk_id}');">
                    </div>
                    <br /><br />
                    <div id="progress-${checklist.chk_id}" class="progress" style="display: none;">
                        <div class="progress-bar progress-bar-success"></div>
                    </div>
                    <div id="alert-upload" style="margin-top: 10px;"></div>
                </div>
            </div>

        #{/list}

</div>

#{set 'css_custom' }
    <link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}


#{set 'custom_script'}
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>

<script type="text/javascript">
    function upload(chk_id) {
        var url = #{jsRoute @nonlelang.DokumenPlCtr.submitPenawaranTeknis(pesertaPl?.lls_id, pesertaPl?.psr_id, ':chk_id') /};

        $('#upload-'+chk_id).fileupload({
            url: url.url({chk_id:chk_id}),
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|gif|jpe?g|png|zip|rar|rtf)$/i,
            done: function (e, data) {
                $.each(data.result.files, function (index, file,) {
                    var content = '<a href="' + file.download_url + '"><i class="fa fa-download"></i>' +
                            '&nbsp; ' + file.name + '</a> - ' + file.size + ' (' + file.upload_date + ')' +
                            ' <a href="javascript:void(0)" id="'+data.result.dok_id+'" style="float: right;" chk="'+data.result.chk_id+'"' +
                            'class="btn btn-danger btn-sm" name="removeBtn"><i class="fa fa-close"></i></a>';
                    $('<li/>').addClass('list-group-item').html(content).appendTo('#files-'+chk_id);
                });
                $('#progress-'+chk_id).hide();
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress-'+chk_id).show();
                $('#progress-'+chk_id+' .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name + ' - ' + file.error
                $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    };

    $(document).on('click', "[name = 'removeBtn']", function () {
        var id = $(this).attr('id');
        var chk = $(this).attr('chk');
        var parent = $(this).parent()
        var source = #{jsRoute @nonlelang.DokumenPlCtr.hapusPenawaranTeknis() /};
        $.ajax({
            type: 'POST',
            url: source.url(),
            data: {'dok_id': id},
            success: function (result) {
                if (result.status === 'ok') {
                    $('#alert-upload-' + chk).html('<div class="alert alert-success" role="alert">&{'flash.file_telah_terhapus'}</div>');
                    parent.remove()
                } else {
                    $('#alert-upload-' + chk).html('<div class="alert alert-success" role="alert">' + result.message + '</div>');
                }
            },
            error: function () {
                $('#alert-upload-'+chk).html('<div class="alert alert-danger" role="alert">File tidak bisa dihapus</div>');
            }
        })
    });

</script>

#{/set}